### File

`packages/eui-dynamic-forms-ui/src/lib/shared/services/dyn-validations.service.ts`

### Index

###### Properties
defaultMessageMap validationsMap
###### Methods
setAsyncValidators setValidators

### Constructor

`constructor(dynConfigService: DynConfigService)`
Parameters :
Name | Type | Optional
dynConfigService | `DynConfigService` | No

### Methods

setAsyncValidators
`setAsyncValidators(control: AbstractControl, validators: Array<UxDynValidationMetaData | AsyncValidatorFn>, fieldInfo?: UxDynValidationFieldInfo)`
Parameters :
Name | Type | Optional
control | `AbstractControl` | No
validators | `Array<UxDynValidationMetaData | AsyncValidatorFn>` | No
fieldInfo | `UxDynValidationFieldInfo` | Yes
Returns : `void`

setValidators
`setValidators(control: AbstractControl, validators: Array<UxDynValidationMetaData | ValidatorFn>, fieldInfo?: UxDynValidationFieldInfo)`
Parameters :
Name | Type | Optional
control | `AbstractControl` | No
validators | `Array<UxDynValidationMetaData | ValidatorFn>` | No
fieldInfo | `UxDynValidationFieldInfo` | Yes
Returns : `void`

### Properties

defaultMessageMap

validationsMap
Type : `object`
Default value : `{}`

# results matching ""

# No results matching ""